Summary: Very high-quality data compression program
Name: bzip2
Version: 1.0.8
Release: r0
License: bzip2-1.0.6
Group: console/utils
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://sourceware.org/bzip2/
Source0: Makefile.am
Source1: 0001-fix-bzip2-version-tmp-aaa-will-hang.patch
Source2: bzip2-1.0.8-r0-bzip2-tests.tar.xz
Source3: bzip2-1.0.8.tar.gz
Source4: run-ptest
Source5: configure.ac
Source6: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: /bin/sh
Requires: libbz2-1 >= 1.0.8
Requires: libbz2.so.1()(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): /bin/sh
Requires(post): libbz2-1 >= 1.0.8
Requires(post): libbz2.so.1()(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): /bin/sh
Requires(preun): libbz2-1 >= 1.0.8
Requires(preun): libbz2.so.1()(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.4)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/bunzip2
Provides: /usr/bin/bzcat
Provides: /usr/bin/bzip2

%description
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.

%package -n bzip2-src
Summary: Very high-quality data compression program - Source files
License: bzip2-1.0.6
Group: devel

%description -n bzip2-src
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.  This package contains sources for debugging
purposes.

%package -n bzip2-dbg
Summary: Very high-quality data compression program - Debugging files
License: bzip2-1.0.6
Group: devel
Recommends: glibc-dbg
Recommends: libbz2-dbg

%description -n bzip2-dbg
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n bzip2-ptest
Summary: Very high-quality data compression program - Package test files
License: bzip2-1.0.6 & GPL-3.0-or-later & Apache-2.0 & MS-PL & BSD-3-Clause & Zlib
Group: devel
Requires: /bin/bash
Requires: /bin/sh
Requires: bash
Requires: bzip2
Requires: make
Recommends: ptest-runner

%description -n bzip2-ptest
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.  This package contains a test directory
/usr/lib/bzip2/ptest for package test purposes.

%package -n libbz2-1
Summary: Very high-quality data compression program
License: bzip2-1.0.6
Group: console/utils
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libbz2 = 1.0.8
Provides: libbz2.so.1()(64bit)

%description -n libbz2-1
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.

%package -n bzip2-staticdev
Summary: Very high-quality data compression program - Development files (Static Libraries)
License: bzip2-1.0.6 & GPL-3.0-or-later & Apache-2.0 & MS-PL & BSD-3-Clause & Zlib
Group: devel
Requires: bzip2-dev = 1.0.8-r0

%description -n bzip2-staticdev
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.  This package contains static libraries for
software development.

%package -n bzip2-dev
Summary: Very high-quality data compression program - Development files
License: bzip2-1.0.6
Group: devel
Requires: libbz2
Recommends: bash-dev
Recommends: bzip2 = 1.0.8-r0
Recommends: glibc-dev
Recommends: libbz2-dev
Recommends: make-dev
Recommends: update-alternatives-opkg-dev

%description -n bzip2-dev
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n bzip2-doc
Summary: Very high-quality data compression program - Documentation files
License: bzip2-1.0.6
Group: doc

%description -n bzip2-doc
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.  This package contains documentation.

%package -n bzip2-locale
Summary: Very high-quality data compression program
License: bzip2-1.0.6 & GPL-3.0-or-later & Apache-2.0 & MS-PL & BSD-3-Clause & Zlib
Group: console/utils

%description -n bzip2-locale
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of
statistical compressors.

%post
# bzip2 - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/bin/bunzip2 bunzip2 /usr/bin/bunzip2.bzip2 100
	update-alternatives --install /usr/bin/bzcat bzcat /usr/bin/bzcat.bzip2 100
	update-alternatives --install /usr/bin/bzip2 bzip2 /usr/bin/bzip2.bzip2 100


%preun
# bzip2 - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  bunzip2 /usr/bin/bunzip2.bzip2
	update-alternatives --remove  bzcat /usr/bin/bzcat.bzip2
	update-alternatives --remove  bzip2 /usr/bin/bzip2.bzip2
fi

%post -n libbz2-1
# libbz2-1 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/bzgrep"
%attr(777,root,root) "/usr/bin/bzcat.bzip2"
%attr(755,root,root) "/usr/bin/bzip2recover"
%attr(777,root,root) "/usr/bin/bunzip2.bzip2"
%attr(755,root,root) "/usr/bin/bzmore"
%attr(777,root,root) "/usr/bin/bzless"
%attr(777,root,root) "/usr/bin/bzfgrep"
%attr(777,root,root) "/usr/bin/bzegrep"
%attr(777,root,root) "/usr/bin/bzcmp"
%attr(755,root,root) "/usr/bin/bzip2.bzip2"
%attr(755,root,root) "/usr/bin/bzdiff"

%files -n bzip2-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/bzip2"
%attr(755,root,root) %dir "/usr/src/debug/bzip2/1.0.8"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/randtable.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/huffman.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/crctable.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/bzlib.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/bzlib_private.h"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/blocksort.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/bzip2recover.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/bzip2.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/decompress.c"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/bzlib.h"
%attr(644,root,root) "/usr/src/debug/bzip2/1.0.8/compress.c"

%files -n bzip2-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libbz2.so.1.0.8"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/bzip2recover"
%attr(755,root,root) "/usr/bin/.debug/bzip2.bzip2"

%files -n bzip2-ptest
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/bzip2"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests"
%attr(644,root,root) "/usr/lib/bzip2/ptest/sample1.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/sample1.ref"
%attr(644,root,root) "/usr/lib/bzip2/ptest/sample2.bz2"
%attr(755,root,root) "/usr/lib/bzip2/ptest/run-ptest"
%attr(777,root,root) "/usr/lib/bzip2/ptest/bzip2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/Makefile"
%attr(644,root,root) "/usr/lib/bzip2/ptest/sample3.ref"
%attr(644,root,root) "/usr/lib/bzip2/ptest/sample3.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/sample2.ref"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/pyflate"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/go"
%attr(755,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/run-tests.sh"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/README"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/cve.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/idx899999.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/incomp-2.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/incomp-2.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/incomp-1.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/repet.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/crc1.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/overrun.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/void.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/concat.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/cve2.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/trash.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/fib.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/empty.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/repet.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/rand.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/ch255.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/incomp-1.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/COPYING"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/gap.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/rand.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/32767.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/32767.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/trash.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/codelen20.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/overrun2.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/gap.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/ch255.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/codelen20.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/idx899999.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/crc2.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/empty.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/concat.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/README"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/lbzip2/fib.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/dancing-color.ps.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/sample1.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/sample1.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/License.txt"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/sample2.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/License.zlib.txt"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/dancing-color.ps.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/sample2.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/dotnetzip/README"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/hello-world.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/45MB-fb.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/empty.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/45MB-fb.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/510B.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/45MB-00.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/aaa.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/510B.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/765B.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/45MB-00.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/hello-world.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/aaa.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/empty.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/README"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/pyflate/765B.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/COMPRESS-131.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/COMPRESS-131.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/bla.tar.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/LICENSE.txt"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/zip64support.tar.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/bla.xml.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/zip64support.tar.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/bla.tar.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/NOTICE.txt"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/bla.txt.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/bla.xml.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/multiple.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/bla.txt.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/multiple.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/commons-compress/README"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/go/compress"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/go/regexp"
%attr(755,root,root) %dir "/usr/lib/bzip2/ptest/bzip2-tests/go/crypto"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/LICENSE"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/README"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/random.data.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/pass-random2.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/Isaac.Newton-Opticks.txt.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/e.txt.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/pass-random1.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/fail-issue5747.bz2.bad"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/e.txt.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/pass-sawtooth.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/pass-random1.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/Isaac.Newton-Opticks.txt.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/pass-random2.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/pass-sawtooth.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/compress/random.data.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/regexp/re2-exhaustive.txt.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/regexp/re2-exhaustive.txt.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/crypto/SigVer.rsp.bz2"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/crypto/pss-vect.txt.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/crypto/SigVer.rsp.md5"
%attr(644,root,root) "/usr/lib/bzip2/ptest/bzip2-tests/go/crypto/pss-vect.txt.bz2"

%files -n libbz2-1
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libbz2.so.1.0.8"
%attr(777,root,root) "/usr/lib/libbz2.so.1"

%files -n bzip2-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/bzlib.h"
%attr(777,root,root) "/usr/lib/libbz2.so"

%files -n bzip2-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/bzless.1"
%attr(644,root,root) "/usr/share/man/man1/bzdiff.1"
%attr(644,root,root) "/usr/share/man/man1/bzip2.1"
%attr(644,root,root) "/usr/share/man/man1/bzmore.1"
%attr(644,root,root) "/usr/share/man/man1/bzegrep.1"
%attr(644,root,root) "/usr/share/man/man1/bzfgrep.1"
%attr(644,root,root) "/usr/share/man/man1/bzgrep.1"
%attr(644,root,root) "/usr/share/man/man1/bzcmp.1"

%%prep
echo "include logs and patches, Please check them in SOURCES"

